c  ASSIGNMENT NO. 4 
c
c  FUNCTIONS:
c	PRACT1 - Entry point of console application.
c

c****************************************************************************
c
c  PROGRAM: PRACT1
c
c  PURPOSE:  Entry point for the console application.
c
c****************************************************************************

      program assign4

      implicit none

c Read the file "input.dat"

      INTEGER Y(50), N, i

      REAL X(50), Z(50), SUM

c Open file oddnum for input

      OPEN (Unit=3, FILE='input.dat')

c Read Number of Records

c Read (Unit=3) N

      N = 12

c Read and Print each record

      SUM = 0

      Do i = 1, N 
	
      Read (Unit=3, *) X(i), Y(i)

c 10  Format (F3.1, 1X, I2)

c 15  Format (F3.1)

c     Z(i) = ABS(X(i)**2 + Y(i)**2)

c     SUM = SUM + Z(i)

c     Print *, X(i), Y(i), SUM

      Print *, X(i), Y(i)

      END DO

      Close (Unit=3) 

      end 

